Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,805,829 Members 42,511 Now Online
XDA Developers Android and Mobile Development Forum

Whatsapp ART support

Tip us?
 
zorkek
Old
#11  
Junior Member
Thanks Meter 8
Posts: 18
Join Date: Jan 2012
Quote:
Originally Posted by richteralan View Post
Seriously I don't get why people like Whatsapp.
me too, I've to use it just because all my friends are using it. I wish everyone could use hangouts (never had a crash here), but unfortunately the iOS version is kinda slow (on iphone4 at least).

it looks like WA team is really lazy, look at the iOS version! iOS7 was released to developers months ago and still, it has the iOS6 interface lol.
I'm afraid the same is gonna happens here for the Dalvik/ART switch.

hope I'm wrong ofc.
The Following 3 Users Say Thank You to zorkek For This Useful Post: [ Click to Expand ]
 
hermanherz
Old
#12  
Junior Member
Thanks Meter 1
Posts: 22
Join Date: Mar 2008
Quote:
Originally Posted by kowcop View Post
I read somewhere that an old version works and the new one doesn't because of the included libs.. I don't use whatapp, but couldn't someone just grab the latest APK, open it in 7zip and remove the libs?
I just tried, doesn't work
Could we please get a Samsung Galaxy S forum?

http://forum.xda-developers.com/showthread.php?t=652761
The Following User Says Thank You to hermanherz For This Useful Post: [ Click to Expand ]
 
Smando
Old
#13  
Senior Member
Thanks Meter 823
Posts: 135
Join Date: Jun 2008

 
DONATE TO ME
I think is not a lib problem:

Version 2.10.768(no libs in apk) installs fine but not work, "software too old error"

Version 2.11.12(no libs in apk) error during installation

Version 2.11.93 libs in apk and error during installation

So, we can try to solve "software too old error", a star point can be this class: "com\whatsapp\g.smali"

or we can try to solve the installation error on version 2.11.12, now i'm on dalvik, there is anyone on art can post logcat of installation of 2.11.12?
If you like my work hit Thanks button!
Follow me on G+
The Following User Says Thank You to Smando For This Useful Post: [ Click to Expand ]
 
deepayanneogi
Old
#14  
deepayanneogi's Avatar
Senior Member
Thanks Meter 92
Posts: 477
Join Date: Apr 2012
Location: Hyderabad
https://code.google.com/p/android/is...ummary%20Stars

Hope this helps

---------- Post added at 08:04 PM ---------- Previous post was at 08:02 PM ----------

https://code.google.com/p/android/is...ummary%20Stars

Hope this helps
The Following User Says Thank You to deepayanneogi For This Useful Post: [ Click to Expand ]
 
espaciosalter20
Old
#15  
espaciosalter20's Avatar
Senior Member
Thanks Meter 712
Posts: 1,264
Join Date: Jun 2011
Location: Bogotá, Colombia, Colombia

 
DONATE TO ME
Quote:
I'll reiterate that this is not the fault of the WhatsApp application. The ART verifier was blocking the installation of this app, but we are going to fix ART to address this issue. I'll update this bug when the fix is in AOSP.
Quoted from google code support...
The Following User Says Thank You to espaciosalter20 For This Useful Post: [ Click to Expand ]
 
ajobbins
Old
#16  
Member
Thanks Meter 1
Posts: 40
Join Date: Nov 2011
Quote:
Originally Posted by Smando View Post
I think is not a lib problem:

Version 2.10.768(no libs in apk) installs fine but not work, "software too old error"
I'm getting install failed on for the 2.10.768 APK in ART
 
teknoraver
Old
#17  
Senior Member
Thanks Meter 168
Posts: 120
Join Date: Jun 2010
Location: Milano
WhatsApp 2.11.135 is out, you may want to give it a try..
 
qwerp_
Old
(Last edited by qwerp_; 15th November 2013 at 02:16 AM.) Reason: typo
#18  
Senior Member
Thanks Meter 91
Posts: 357
Join Date: Oct 2010
Good news, I manage to get version 2.11.42 running under art. The trick is however, you need to first switch back to dalvik, install it, then switch back to art again.

Go give it a try. Works for me.

One catch, the attach photo from gallery not working, but still can share from gallery to whatsapp, just not from whstsapp to pick from gallery. I can live with that.

The latest version I got running is 2.11.50
The Following 6 Users Say Thank You to qwerp_ For This Useful Post: [ Click to Expand ]
 
wywerny
Old
#19  
wywerny's Avatar
Senior Member
Thanks Meter 10
Posts: 176
Join Date: Mar 2011
Location: Bangkok
WhatsApp 2.11.134 still not working with ART
Nexus 4: stock kit kat
Nexus 7 Grouper: stock kit kat
 
sidnoit22
Old
#20  
sidnoit22's Avatar
Senior Member
Thanks Meter 575
Posts: 1,622
Join Date: Sep 2011
Location: Gwalior

 
DONATE TO ME
Quote:
Originally Posted by wywerny View Post
WhatsApp 2.11.134 still not working with ART
New version is out which is 2.11.50



Device: mako
ROM: Velocity 4.4.4
Kernel: Stock ROM
Recovery: TWRP 2.7.1
Radio: .03

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes